Subject: (flyspell-buffer) does not enable spelling highlighting

From: Christopher Dimech <[email-masked]>
Date: Sun, 3 Jan 2021 14:55:04 +0100

When I call (flyspell-buffer) through a keybinding the highlighting
of flyspell is not activated.  However things work when using
"M-x flyspell-buffer".